publishContentSubmission
POST
/api/v1/content-submissions/{id}/publish
const url = 'https://example.com/api/v1/content-submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/publish';const options = {method: 'POST', headers: {'X-CSRF-Token': 'example'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/content-submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/publish \ --header 'X-CSRF-Token: example'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Header Parameters
Section titled “Header Parameters”X-CSRF-Token
required
string
Responses
Section titled “ Responses ”Exact submitted snapshot published and recorded in history
Submission is not approved or is otherwise stale
Current readiness validation failed